Packages.gentoo.org has hardware problems. It also runs an older version of elasticsearch. An update is in progress. Feel free to watch for updates to the git branch where development work is happening: https://gitweb.gentoo.org/sites/packages.git/log/?h=es-6-compat

Until packages.gentoo.org is updated to Elasticsearch >= 6.0, site updates may be delayed and/or the site may be unavailable.